def wavelength_to_color(w):
    if 380 <= w <= 450:
        color = "fiolett"
    elif 450 < w <= 485:
        color = "blå"
    elif 485 < w <= 500:
        color = "cyan"
    elif 500 < w <= 565:
        color = "grønn"
    elif 565 < w <= 590:
        color = "gul"
    elif 590 < w <= 625:
        color = "oransje"
    elif 625 < w <= 740:
        color = "rød"

    return color


def frequency_to_color(f):
    if 680 < f <= 790:
        color = "fiolett"
    elif 620 < f <= 680:
        color = "blå"
    elif 600 < f <= 620:
        color = "cyan"
    elif 530 < f <= 600:
        color = "grønn"
    elif 510 < f <= 530:
        color = "gul"
    elif 480 < f <= 510:
        color = "oransje"
    elif 405 <= f <= 480:
        color = "rød"

    return color

if __name__ == "__main__":
    unit = input("Hvilken enhet vil du bruke? Svare med 'nm' eller 'THz': ")

    if unit == "nm":
        value = int(input("Angi en verdi i nm: "))
        color = wavelength_to_color(value)
        print(f"Lys med bølgelengden {value} nm har fargen {color}.")
    elif unit == "THz":
        value = int(input("Angi en verdi i THz: "))
        color = frequency_to_color(value)
        print(f"Lys med frekvensen {value} THz har fargen {color}.")
